body.adfa {
  overflow: hidden;
}

.ad-modal {
  border-radius: 8px;
  overflow: hidden;
  margin: 4px;
  flex-shrink: 0;
}

.ad-modal-header {
  display: flex;
  border-bottom: 1px solid transparent;
  background: #fff0;
  background-clip: padding-box;
  font-size: 1.25em;
  transition: all ease .6s;
}
.ad-modal:hover > .ad-modal-header {
  background: #fff7;
}
.ad-modal-header-title {
  flex: 1;
  text-align: center;
  padding: 4px 0;
  background: #fffc;
}
.ad-modal-header-close {flex: 0 0 36px;
  background: #f1f1f186;
  color: #3f3a3a;
  font: normal normal normal 23px/24px FontAwesome;
  padding: 0;
  text-align: center;
  border: none;
  outline: none;
  transition: all ease .3s;
}
.ad-modal-header-close:hover {
  color: #4a4646;
  background: #fafafaaf;
}
.ad-modal-header-close:active {
  color: #fff;
  background: #262121;
}
.ad-modal-body {
  background: #ffffff;
  border-bottom: 1px solid transparent;
  background-clip: padding-box;
}
.ad-modal-footer {
  display: flex;
  flex-direction: row-reverse;
  background: #fff3;
}
.ad-modal-footer > button {
  border: none;
  padding: 4px 12px;
  transition: all ease .3s;
  outline: none;
}
button.ad-modal-footer-close {
  color: #0f465f;
  background: #29506200;
}
button.ad-modal-footer-close:hover {
  background: #2950624d;
}
button.ad-modal-footer-close:focus {
  color: white;
  background: #204c608c;
}
button.ad-modal-footer-close:active {
  color: white;
  background: #204c60b3;
}

button.ad-modal-footer-ok {
  color: #17963c;
  background: #30934d00;
}
button.ad-modal-footer-ok:hover {
  background: #30934d4d;
}
button.ad-modal-footer-ok:focus {
  color: white;
  background: #30934d8c;
}
button.ad-modal-footer-ok:active {
  color: white;
  background: #30934db3;
}

.ad-modal-body {
  min-width: 200px;
  min-height: 75px;
}